package de.nowchess.backcore.game

import de.nowchess.api.board.Color

sealed trait GameResult
object GameResult:
  case class Resign(winner: Color) extends GameResult
  case object AgreedDraw           extends GameResult
  case object FiftyMoveDraw        extends GameResult
